﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace UltraGanttViewDataBindingWithLocalDBCustomColumn
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            try
            {
                database1DataSet1.Clear();


                //Fill DataSet
                dbProjectsTableAdapter1.Fill(database1DataSet1.dbProjects);
                dbTasksTableAdapter1.Fill(database1DataSet1.dbTasks);


                ultraCalendarInfo1.DataBindingsForProjects.BindingContextControl = this;
                ultraCalendarInfo1.DataBindingsForTasks.BindingContextControl = this;


                ////  Set the DataBinding members for Projects 
                this.ultraCalendarInfo1.DataBindingsForProjects.DataSource = database1DataSet1.dbProjects;
                this.ultraCalendarInfo1.DataBindingsForProjects.IdMember = "ProjectID";
                this.ultraCalendarInfo1.DataBindingsForProjects.KeyMember = "ProjectKey";
                this.ultraCalendarInfo1.DataBindingsForProjects.NameMember = "ProjectName";
                this.ultraCalendarInfo1.DataBindingsForProjects.StartDateMember = "ProjectStartTime";
                //this.ultraCalendarInfo1.DataBindingsForProjects.RefreshData();


                //  Set the DataBinding members for Tasks
                this.ultraCalendarInfo1.DataBindingsForTasks.DataSource = database1DataSet1.dbTasks;


                // Basic Task properties 
                this.ultraCalendarInfo1.DataBindingsForTasks.NameMember = "TaskName";
                this.ultraCalendarInfo1.DataBindingsForTasks.DurationMember = "TaskDuration";
                this.ultraCalendarInfo1.DataBindingsForTasks.StartDateTimeMember = "TaskStartTime";

                this.ultraCalendarInfo1.DataBindingsForTasks.IdMember = "TaskID";
                this.ultraCalendarInfo1.DataBindingsForTasks.ProjectKeyMember = "ProjectKey";
                this.ultraCalendarInfo1.DataBindingsForTasks.ParentTaskIdMember = "ParentTaskID";
                this.ultraCalendarInfo1.DataBindingsForTasks.PercentCompleteMember = "TaskPercentComplete";
                this.ultraCalendarInfo1.DataBindingsForTasks.AllPropertiesMember = "AllProperties";

                this.ultraGanttView1.CalendarInfo = this.ultraCalendarInfo1;

                //Choose which project to be show in the GanntView
                this.ultraGanttView1.Project = this.ultraGanttView1.CalendarInfo.Projects[1];
                
                this.ultraCalendarInfo1.Projects[1].Tasks[0].SetCustomProperty("CustomColumn", database1DataSet1.dbTasks[0].CustomColumn);
                this.ultraCalendarInfo1.Projects[1].Tasks[1].SetCustomProperty("CustomColumn", database1DataSet1.dbTasks[1].CustomColumn);

                
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }

        private void ultraButton2_Click(object sender, EventArgs e)
        {

            dbProjectsTableAdapter1.Update(database1DataSet1.dbProjects);
            dbTasksTableAdapter1.Update(database1DataSet1.dbTasks);
        }
    }
}
